//  ____                    _        _
// | __ )  ___   __ _  __ _| | ___  | |__
// |  _ \ / _ \ / _` |/ _` | |/ _ \ | '_ \
// | |_) | (_) | (_| | (_| | |  __/_| | | |
// |____/ \___/ \__, |\__, |_|\___(_)_| |_|
//              |___/ |___/
// Author: Love Billenius <lovbi127@student.liu.se>

#ifndef _boggle_h
#define _boggle_h

#include <iostream>
#include <vector>
#include <string>
#include "lexicon.h"

class Boggle {
public:
    static const std::string DICTIONARY_FILE;
    const int MIN_WORD_LENGTH = 4;
    const int BOARD_SIZE = 4;

    Boggle();

    bool isWordValid(const std::string &word) const;
    bool isWordPlayed(const std::string &word) const;
private:
    std::vector<std::string> m_playedWords;
    std::array<std::string, 4> m_showingSides;
    Lexicon m_englishWords;
};



#endif
